Summary:        Panorama Tools GUI
Name:           hugin
Version:        2020.0.0
Release:        %mkrel 4
License:        GPLv2+
Group:          Graphics
URL:            http://hugin.sourceforge.net
Source0:        http://downloads.sourceforge.net/hugin/%{name}-%{version}.tar.xz
Patch0:         hugin-2012.0.0-invalid-utf8.patch
Patch1:         0001_calibrate_lens_gui_assert.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(tclap)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libpano13) >= 2.9.19
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  boost-devel
BuildRequires:  wxgtk3.1-devel
BuildRequires:  libgomp-devel
BuildRequires:  vigra-devel
BuildRequires:  lapack-devel
BuildRequires:  lib64freeglut-devel
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  perl(Image::ExifTool)
BuildRequires:  swig

Requires:       libpano13-tools
Requires:       enblend
Requires:       perl-Image-ExifTool
Requires:       make

%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.


%files
%{_bindir}/
%{_libdir}/%{name}
%{_datadir}
%{python3_sitearch}

%prep
%setup -q
%apply_patches

sed -i 's^/usr/bin/env python3^/usr/bin/python3^' \
src/hugin_script_interface/plugins-dev/*.py \
src/hugin_script_interface/*.py \
src/hugin_script_interface/plugins/*.py

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=OFF \
       -DENABLE_LAPACK=ON \
       -DBUILD_HSI=ON \
       -DUSE_GDKBACKEND_X11=ON

%make_build

%install
%make_install -C build

# Menu icons
for i in {16,22,32,48}; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	convert -resize $ix$i src/hugin1/hugin/xrc/data/hugin.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done
convert -resize 32x32 src/hugin1/hugin/xrc/data/hugin.png %{buildroot}%{_iconsdir}/%{name}.png
mv %{buildroot}%{_datadir}/icons/gnome %{buildroot}%{_datadir}/icons/Adwaita

# menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Photography" \
  --add-category="Graphics" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*


%changelog
* Wed Nov 02 2022 tex - 2020.0.0-4pclos2022
- rebuild against updates

* Sun Sep 18 2022 tex - 2020.0.0-3pclos2022
- rebuild against updates

* Sun Mar 20 2022 TerryN <terryn94 at gmail.com> 2020.0.0-2pclos2022
- rebuild for python 3.10

* Mon Sep 27 2021 tex - 2020.0.0-1pclos2021
- new version for new boost

* Sun Oct 06 2019 tex - 2019.0.0-2pclos2019
- rebuild against updates

* Wed May 15 2019 tex 2019.0.0-1pclos2019
- new version: 2019.0.0
